Last Comment Bug 980534 - Australis: Bookmarks Widget panel is too narrow for contents (causing horizontal overflow), which shift to the left when mousing over it the first time
: Australis: Bookmarks Widget panel is too narrow for contents (causing horizon...
Status: VERIFIED FIXED
[Australis:P3+] [good first verify] [...
: jp-critical, regression
Product: Firefox
Classification: Client Software
Component: Toolbars and Customization (show other bugs)
: 30 Branch
: x86_64 Windows 8.1
-- normal (vote)
: Firefox 30
Assigned To: :Gijs
:
: :Gijs
Mentors:
: 982543 984347 (view as bug list)
Depends on:
Blocks: australis-merge 972405
  Show dependency treegraph
 
Reported: 2014-03-06 13:40 PST by Alice0775 White
Modified: 2014-05-26 05:17 PDT (History)
18 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
verified


Attachments
screen capture (245.33 KB, application/x-shockwave-flash)
2014-03-06 13:54 PST, Alice0775 White
no flags Details
make Australis' standalone subview panels wider, (3.77 KB, patch)
2014-03-16 16:42 PDT, :Gijs
blair: review+
sledru: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description User image Alice0775 White 2014-03-06 13:40:30 PST
STR
1. Start Nightly
2. Click Bookmarks Widget
3. Move mouse pointer to the panel

Actual Results:
contents (bookmarks items, etc.) shift to the left
Comment 1 User image Alice0775 White 2014-03-06 13:54:52 PST
Created attachment 8387096 [details]
screen capture
Comment 2 User image Alice0775 White 2014-03-06 14:16:05 PST
Regression window
Good:
https://hg.mozilla.org/integration/fx-team/rev/8be6b5960a48
Mozilla/5.0 (Windows NT 6.3; WOW64; rv:30.0) Gecko/20100101 Firefox/30.0 ID:20140304064456
Bad:
https://hg.mozilla.org/integration/fx-team/rev/6ffd90abc060
Mozilla/5.0 (Windows NT 6.3; WOW64; rv:30.0) Gecko/20100101 Firefox/30.0 ID:20140304065156
Pushlog:
http://hg.mozilla.org/integration/fx-team/pushloghtml?fromchange=8be6b5960a48&tochange=6ffd90abc060
Regressed by:
3d267302cbd6	Blake Winton — Bug 972405 - Make the bookmarks panel look like all the other sub-panels. ui-r=shorlander, r=dao
Comment 3 User image :Gijs 2014-03-06 19:01:54 PST
I believe this is fixed by Blake's patch in bug 979378.
Comment 4 User image :Gijs 2014-03-07 04:35:32 PST
Actually, I can't reproduce this even on vanilla nightly from the 6th, on Win 7 glass. Alice, do you know if this is Windows 8 specific or something?
Comment 5 User image Alice0775 White 2014-03-07 05:10:50 PST
I cannot reproduce on Windows7 Aero/Classic.

Probably, this is Winddows8.1 desktop specific.
Comment 6 User image :Gijs 2014-03-07 13:37:34 PST
Can't reproduce on newer builds from fx-team --> marking wfm. I expect bug 979378 probably fixed this (but I'm not sure that's what it was).
Comment 7 User image Alice0775 White 2014-03-07 13:44:54 PST
(In reply to Alice0775 White from comment #5)
> I cannot reproduce on Windows7 Aero/Classic.
> 
> Probably, this is Winddows8.1 desktop specific.

Err,
I can reproduce the problem on Windows7 if I set system font to "Meiryo UI" instead "Meiryo"(default of Japanese edition of Windows7).

"Meiryo UI" is default system font of Japanese edition of Windows8.1 and 8.



I can still reproduce.
https://hg.mozilla.org/mozilla-central/rev/0d70e6efa22c
Mozilla/5.0 (Windows NT 6.3; WOW64; rv:30.0) Gecko/20100101 Firefox/30.0 ID:20140307122629
Comment 8 User image :Gijs 2014-03-07 15:23:52 PST
(In reply to Alice0775 White from comment #7)
> (In reply to Alice0775 White from comment #5)
> > I cannot reproduce on Windows7 Aero/Classic.
> > 
> > Probably, this is Winddows8.1 desktop specific.
> 
> Err,
> I can reproduce the problem on Windows7 if I set system font to "Meiryo UI"
> instead "Meiryo"(default of Japanese edition of Windows7).
> 
> "Meiryo UI" is default system font of Japanese edition of Windows8.1 and 8.
> 
> 
> 
> I can still reproduce.
> https://hg.mozilla.org/mozilla-central/rev/0d70e6efa22c
> Mozilla/5.0 (Windows NT 6.3; WOW64; rv:30.0) Gecko/20100101 Firefox/30.0
> ID:20140307122629

Blargh. The problem is the -moz-box-flex: 0 that was introduced on the footer text, but I don't know why, or why that has different effects depending on the font size. :-\

Mike, weren't we struggling with centering the footer text? Can we fix this some way?
Comment 9 User image :Gijs 2014-03-07 15:27:26 PST
> Blargh. The problem is the -moz-box-flex: 0 that was introduced on the
> footer text, but I don't know why, or why that has different effects
> depending on the font size. :-\

Clearly I meant font family...
Comment 10 User image :Gijs 2014-03-07 15:28:18 PST
Let's downgrade this to a P3- though, if it's just people with these fonts that hit it - Windows 8 is still a tiny minority, and users with that pref will be an even smaller minority of users.
Comment 11 User image :Gijs 2014-03-09 11:54:11 PDT
So it seems there are other conditions where people are seeing this, per bug 969592 comment 28 and further, so I'm upgrading this to a P3+. Stuff gets cut off and looks bad and there's gaps between the main menu and submenu. :-(
Comment 12 User image :Gijs 2014-03-09 11:58:17 PDT
G_HZ, let's keep the rest of this in here... but can you tell me the DPI of your Win 7 machine, ie the settings under Control Panel > Appearance and Personalization > Display > "Make text and other items larger or smaller" ? Is it set to 100% or to something else?
Comment 13 User image G_HZ 2014-03-09 12:19:19 PDT
OK, sorry

100%


Work properly with the Vivaldi font size 8, but it's unreadable

http://i.imgur.com/TirRe5w.png
http://i.imgur.com/4Z1BA8K.png

font setting
http://i.imgur.com/HLxfvYi.png
Comment 14 User image :Gijs 2014-03-10 16:13:14 PDT
Blake, can you tell us why the flex: 0 was added?

I talked with Stephen and we can probably increase the width for the single-view panels so they don't look so cramped.
Comment 15 User image :Gijs 2014-03-10 16:14:25 PDT
(In reply to :Gijs Kruitbosch from comment #14)
> I talked with Stephen and we can probably increase the width for the
> single-view panels so they don't look so cramped.

More specifically, he said 30em would probably be OK.
Comment 16 User image Blake Winton (:bwinton) (:☕️) 2014-03-10 16:36:58 PDT
(In reply to :Gijs Kruitbosch from comment #14)
> Blake, can you tell us why the flex: 0 was added?

Yep, although it'll be tricky with all ascii diagrams…  (Do you remember the drawing on the whiteboard?  That'll help.)

So, in the case where we have a shortcut and a label, we want them both to be centered, like this:
|---|label|-|shortcut|---|
but if the label has a flex of 1, they're both centered like this:
||label-------||shortcut|| (Or ||----label---||shortcut||, or whatever)
which isn't great.

On the other hand, the current situation doesn't sound great either, so if you wanted to revert this, feel free.  (Also, Philipp had similar problems getting other footer panels centered, so perhaps we should just make them all work the way he did…)
Comment 17 User image :Gijs 2014-03-12 04:47:22 PDT
*** Bug 982543 has been marked as a duplicate of this bug. ***
Comment 18 User image Jared Wein [:jaws] (please needinfo? me) 2014-03-13 09:15:56 PDT
I'll see what I can do here.
Comment 19 User image Alice0775 White 2014-03-15 13:04:06 PDT
Today, I notice this problem happens on Windows 7.
And Aurora29.0a2 is also affected.

And, The menu items are cut off on a localized version of Aurora29.0a2.
Comment 20 User image :Gijs 2014-03-15 13:17:14 PDT
(In reply to Jared Wein [:jaws] (please needinfo? me) from comment #18)
> I'll see what I can do here.

Jared, you unassigned, did you not find anything? I may be able to have a look tomorrow... maybe we can just add the flex back?
Comment 21 User image Jared Wein [:jaws] (please needinfo? me) 2014-03-15 20:06:09 PDT
Yeah, I couldn't get anything to work here.
Comment 22 User image Selim Şumlu 2014-03-16 04:47:38 PDT
FYI:
Bug 982543 seems to be fixed on 29.0a2 (2014-03-15).
Comment 23 User image G_HZ 2014-03-16 11:42:30 PDT
The update today is very interesting.

before
http://i.imgur.com/wW6NcMU.png
http://i.imgur.com/qF7ZIj6.png

after
http://i.imgur.com/dxeImpG.png
http://i.imgur.com/tqSVHmP.png


The font size is correct. There remains the problem of width

Nightly, Windows 7 x64
Windows font Tahoma Size 8
DPI 100%
Comment 24 User image :Gijs 2014-03-16 16:42:51 PDT
Created attachment 8391982 [details] [diff] [review]
make Australis' standalone subview panels wider,

This actually works for me, surprisingly. I guess it's just to do with the footer overflowing depending on the font size used. I made the other standalone subviews use the same styling, which then showed the border of the panel-subviews container (which shows the border when opening subviews), so I display:none it for standalone panels...
Comment 25 User image Blair McBride [:Unfocused] (UNAVAILABLE) 2014-03-16 17:36:53 PDT
Comment on attachment 8391982 [details] [diff] [review]
make Australis' standalone subview panels wider,

Review of attachment 8391982 [details] [diff] [review]:
-----------------------------------------------------------------

This was fun to reproduce.
Comment 26 User image Blair McBride [:Unfocused] (UNAVAILABLE) 2014-03-16 17:42:56 PDT
 https://hg.mozilla.org/integration/fx-team/rev/6ce4ff67f3f9
Comment 27 User image Phil Ringnalda (:philor) 2014-03-16 21:49:41 PDT
https://hg.mozilla.org/mozilla-central/rev/6ce4ff67f3f9
Comment 28 User image :Gijs 2014-03-17 01:32:16 PDT
Comment on attachment 8391982 [details] [diff] [review]
make Australis' standalone subview panels wider,

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 973502 / bug 972405
User impact if declined: users with non-default fonts on Win 7 and Win 8, and in some locales like Japanese, users with the default Windows font, will see the following symptoms in the bookmarks menu: cut off labels, shifting content, "missing" arrows for menus that have submenus (shifted out of view), and space between the parent menu and submenus when opening the submenus.
Testing completed (on m-c, etc.): local, on m-c
Risk to taking this patch (and alternatives if risky): very low. We've effectively just made the menu wider, and that makes the problem go away
String or IDL/UUID changes made by this patch: none
Comment 30 User image :Gijs 2014-03-17 06:13:27 PDT
*** Bug 984347 has been marked as a duplicate of this bug. ***
Comment 31 User image Gabriela [:gaby2300] 2014-05-23 14:19:38 PDT
Verified fixed using Windows 7 64 bit and Mozilla/5.0 (Windows NT 6.1; WOW64; rv:30.0) Gecko/20100101 Firefox/30.0. Verified in latest Nightly as well, setting the STATUS to VERIFIED.
Comment 32 User image Ada [:adalucinet] 2014-05-26 05:17:28 PDT
I can also confirm this as verified fixed with latest Fx 30 beta 7 (Build ID: 20140522105902) on Windows 8.1 x64.

Note You need to log in before you can comment on or make changes to this bug.